Home
last modified time | relevance | path

Searched defs:theFirstPoint (Results 1 – 18 of 18) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/PrsDim/
H A DPrsDim_Dimension.cxx649 const gp_Pnt& theFirstPoint, in DrawLinearDimension()
1001 void PrsDim_Dimension::ComputeFlyoutLinePoints (const gp_Pnt& theFirstPoint, const gp_Pnt& theSecon… in ComputeFlyoutLinePoints()
1024 const gp_Pnt& theFirstPoint, in ComputeLinearFlyouts()
1055 gp_Pnt& theFirstPoint, in CircleFromPlanarFace()
1079 gp_Pnt& theFirstPoint, in CircleFromEdge()
1443 gp_Pnt PrsDim_Dimension::GetTextPositionForLinear (const gp_Pnt& theFirstPoint, in GetTextPositionForLinear()
1519 const gp_Pnt& theFirstPoint, in AdjustParametersForLinear()
1601 void PrsDim_Dimension::FitTextAlignmentForLinear (const gp_Pnt& theFirstPoint, in FitTextAlignmentForLinear()
H A DPrsDim_LengthDimension.cxx82 PrsDim_LengthDimension::PrsDim_LengthDimension (const gp_Pnt& theFirstPoint, in PrsDim_LengthDimension()
124 void PrsDim_LengthDimension::SetMeasuredGeometry (const gp_Pnt& theFirstPoint, in SetMeasuredGeometry()
311 void PrsDim_LengthDimension::ComputeFlyoutLinePoints (const gp_Pnt& theFirstPoint, const gp_Pnt& th… in ComputeFlyoutLinePoints()
355 Standard_Boolean PrsDim_LengthDimension::IsValidPoints (const gp_Pnt& theFirstPoint, in IsValidPoints()
H A DPrsDim_AngleDimension.cxx63 static Standard_Boolean isSameLine (const gp_Pnt& theFirstPoint, in isSameLine()
90 PrsDim_AngleDimension::PrsDim_AngleDimension (const gp_Pnt& theFirstPoint, in PrsDim_AngleDimension()
175 void PrsDim_AngleDimension::SetMeasuredGeometry (const gp_Pnt& theFirstPoint, in SetMeasuredGeometry()
1167 Standard_Boolean PrsDim_AngleDimension::IsValidPoints (const gp_Pnt& theFirstPoint, in IsValidPoints()
H A DPrsDim.cxx130 const gp_Pnt& theFirstPoint, in Nearest()
/dports/cad/opencascade/opencascade-7.6.0/src/Contap/
H A DContap_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in Contap_TheIWLineOfTheIWalking
/dports/cad/opencascade/opencascade-7.6.0/src/IntPatch/
H A DIntPatch_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in IntPatch_TheIWLineOfTheIWalking
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DContap_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in Contap_TheIWLineOfTheIWalking
H A DIntPatch_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in IntPatch_TheIWLineOfTheIWalking
H A DBRepMesh_GeomTool.hxx195 const gp_Pnt& theFirstPoint, in SquareDeflectionOfSegment()
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DIntPatch_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in IntPatch_TheIWLineOfTheIWalking
H A DContap_TheIWLineOfTheIWalking.hxx163 IntSurf_PathPoint theFirstPoint; member in Contap_TheIWLineOfTheIWalking
H A DBRepMesh_GeomTool.hxx201 const gp_Pnt& theFirstPoint, in SquareDeflectionOfSegment()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepMesh/
H A DBRepMesh_GeomTool.hxx195 const gp_Pnt& theFirstPoint, in SquareDeflectionOfSegment()
/dports/cad/opencascade/opencascade-7.6.0/src/IntTools/
H A DIntTools_WLineTool.cxx563 Standard_Boolean FindPoint(const gp_Pnt2d& theFirstPoint, in FindPoint()
660 Standard_Boolean FindPoint(const gp_Pnt2d& theFirstPoint, in FindPoint()
/dports/cad/opencascade/opencascade-7.6.0/src/GeomInt/
H A DGeomInt_LineTool.cxx176 static Standard_Boolean FindPoint(const gp_Pnt2d& theFirstPoint, in FindPoint()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimShellCorner.cxx1330 const gp_Pnt2d& theFirstPoint, in FillGap()
1439 const gp_Pnt2d& theFirstPoint, in CheckAndOrientEdges()
/dports/cad/opencascade/opencascade-7.6.0/src/ViewerTest/
H A DViewerTest_RelationCommands.cxx143 static Standard_Boolean Get3DPointAtMousePosition (const gp_Pnt& theFirstPoint, in Get3DPointAtMousePosition()
/dports/cad/opencascade/opencascade-7.6.0/src/ShapeUpgrade/
H A DShapeUpgrade_UnifySameDomain.cxx2165const gp_Pnt& theFirstPoint, const gp_Vec& theDirectionVec, in IsMergingPossible()
2258 static Standard_Boolean GetLineEdgePoints(const TopoDS_Edge& theInpEdge, gp_Pnt& theFirstPoint, gp_… in GetLineEdgePoints()